Package org.sonatype.maven.polyglot.execute

## Class ExecuteManagerImpl

- java.lang.Object
- - org.sonatype.maven.polyglot.execute.ExecuteManagerImpl

- All Implemented Interfaces:
    `ExecuteManager`

      @Component(role=ExecuteManager.class,
                 instantiationStrategy="singleton")
      public class ExecuteManagerImpl
      extends java.lang.Object
      implements ExecuteManager

  Default implementation of the `ExecuteManager` component.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.codehaus.plexus.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecuteManagerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ExecuteTask>` | `getTasks​(org.apache.maven.model.Model model)` |
    `void` | `install​(org.apache.maven.model.Model model)` |
    `void` | `register​(org.apache.maven.model.Model model, java.util.List<ExecuteTask> tasks)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          @Requirement
          protected org.codehaus.plexus.logging.Logger log

  - ### Constructor Detail

    - #### ExecuteManagerImpl

          public ExecuteManagerImpl()

  - ### Method Detail

    - #### register

          public void register​(org.apache.maven.model.Model model,
                               java.util.List<ExecuteTask> tasks)

      Specified by:
        `register` in interface `ExecuteManager`

    - #### getTasks

          public java.util.List<ExecuteTask> getTasks​(org.apache.maven.model.Model model)

      Specified by:
        `getTasks` in interface `ExecuteManager`

    - #### install

          public void install​(org.apache.maven.model.Model model)

      Specified by:
        `install` in interface `ExecuteManager`